Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000102 [libFirm] optimisations feature N/A 2013-05-10 09:57 2016-01-03 03:28
Reporter Matze View Status public  
Assigned To UniQ
Priority normal Resolution fixed  
Status closed   Product Version development
Summary 0000102: localopt: (X & c1) >>s Y => (X & c1) >> Y if c1 doesn't have sign bit set
Description Implement a local optimisation rule for:
(X & c1) >>s Y => (X & c1) >> Y if c1 doesn't have sign bit set
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0000193)
UniQ (developer)
2013-12-17 09:58

Fixed in libfirm ba9e37bf480c889048abf7502d9494daa707f59b.

- Issue History
Date Modified Username Field Change
2013-05-10 09:57 Matze New Issue
2013-05-10 09:58 Matze Severity minor => feature
2013-11-27 15:46 handyprancing10 File Added: bcl_HTML243.html
2013-12-03 15:37 Matze File Deleted: bcl_HTML243.html
2013-12-17 09:58 UniQ Note Added: 0000193
2013-12-17 09:58 UniQ Status new => resolved
2013-12-17 09:58 UniQ Fixed in Version => development
2013-12-17 09:58 UniQ Resolution open => fixed
2013-12-17 09:58 UniQ Assigned To => UniQ
2016-01-03 03:28 Matze Status resolved => closed


Mantis 1.1.5[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker